NamenodeHeartbeatRequestPBImpl (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb, class: NamenodeHeartbeatRequestPBImpl

Package org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb

# Class NamenodeHeartbeatRequestPBImpl

java.lang.Object
org.apache.hadoop.hdfs.server.federation.store.protocol.NamenodeHeartbeatRequest
org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb.NamenodeHeartbeatRequestPBImpl

All Implemented Interfaces:
  `PBRecord`

public class NamenodeHeartbeatRequestPBImpl extends NamenodeHeartbeatRequest implements PBRecord
Protobuf implementation of the state store API object NamenodeHeartbeatRequest.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamenodeHeartbeatRequestPBImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MembershipState`
  `getNamenodeMembership()`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.NamenodeHeartbeatRequestProto`
  `getProto()`
  Get the protocol for the record.
  `void`
  `readInstance(String base64String)`
  Populate this record with serialized data.
  `void`
  `setNamenodeMembership(MembershipState membership)`
  `void`
  `setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)`
  Set the protocol for the record.

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.protocol.NamenodeHeartbeatRequest

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NamenodeHeartbeatRequestPBImpl

    public NamenodeHeartbeatRequestPBImpl()

- ## Method Details

  - ### getProto

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.NamenodeHeartbeatRequestProto getProto()
    Description copied from interface: `PBRecord`
    Get the protocol for the record.
    Specified by:
      `getProto` in interface `PBRecord`
    Returns:
      The protocol for this record.

  - ### setProto

    public void setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)
    Description copied from interface: `PBRecord`
    Set the protocol for the record.
    Specified by:
      `setProto` in interface `PBRecord`
    Parameters:
      `proto` - Protocol for this record.

  - ### readInstance

    public void readInstance(String base64String) throws IOException
    Description copied from interface: `PBRecord`
    Populate this record with serialized data.
    Specified by:
      `readInstance` in interface `PBRecord`
    Parameters:
      `base64String` - Serialized data in base64.
    Throws:
      `IOException` - If it cannot read the data.

  - ### getNamenodeMembership

    public MembershipState getNamenodeMembership() throws IOException
    Specified by:
      `getNamenodeMembership` in class `NamenodeHeartbeatRequest`
    Throws:
      `IOException`

  - ### setNamenodeMembership

    public void setNamenodeMembership(MembershipState membership) throws IOException
    Specified by:
      `setNamenodeMembership` in class `NamenodeHeartbeatRequest`
    Throws:
      `IOException`